Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.property.basic
Class IdentifierPathSegment

    java.lang.Object
      org.modeshape.graph.property.basic.BasicPathSegment
          org.modeshape.graph.property.basic.IdentifierPathSegment

All Implemented Interfaces:
  Serializable, Cloneable, Comparable<Path.Segment>, Path.Segment, Readable

    @Immutable
    public class IdentifierPathSegment

extends BasicPathSegment

A `Path.Segment` implementation that represents an identifier segment.

See Also:
  Serialized Form

Constructor Summary
`IdentifierPathSegment(Name name)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getString(NamespaceRegistry namespaceRegistry, TextEncoder encoder, TextEncoder delimiterEncoder)` Get the encoded string form of the object, using the supplied namespace registry to convert the names' namespace URIs to prefixes and the supplied encoder to encode characters, and using the second delimiter to encode (or convert) the delimiter used between the namespace prefix and the local part of any names.
`String` | `getString(TextEncoder encoder)` Get the encoded string form of the object, using the supplied encoder to encode characters.
`boolean` | `isIdentifier()` Return whether this segment is an identifier segment.
`String` | `toString()`

Methods inherited from class org.modeshape.graph.property.basic.BasicPathSegment
`compareTo, getIndex, getName, getString, getString, getString, getUnencodedString, hashCode, hasIndex, isParentReference, isSelfReference`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IdentifierPathSegment

    public IdentifierPathSegment(Name name)

Method Detail

### isIdentifier

    public boolean isIdentifier()

  Return whether this segment is an identifier segment.

  Specified by:
    `isIdentifier` in interface `Path.Segment`
  Overrides:
    `isIdentifier` in class `BasicPathSegment`
  Returns:
    true if the segment is an identifier segment, or false otherwise.
  See Also:
    `Path.Segment.isIdentifier()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `BasicPathSegment`

### toString

    public String toString()

  Overrides:
    `toString` in class `BasicPathSegment`

### getString

    public String getString(TextEncoder encoder)

  Get the encoded string form of the object, using the supplied encoder to encode characters.

  Specified by:
    `getString` in interface `Readable`
  Overrides:
    `getString` in class `BasicPathSegment`
  Parameters:
    `encoder` - the encoder to use, or null if the `default encoder` should be used
  Returns:
    the encoded string
  See Also:
    `Readable.getString()`

### getString

    public String getString(NamespaceRegistry namespaceRegistry,
                            TextEncoder encoder,
                            TextEncoder delimiterEncoder)

  Get the encoded string form of the object, using the supplied namespace registry to convert the names' namespace URIs to prefixes and the supplied encoder to encode characters, and using the second delimiter to encode (or convert) the delimiter used between the namespace prefix and the local part of any names.

  Specified by:
    `getString` in interface `Readable`
  Overrides:
    `getString` in class `BasicPathSegment`
  Parameters:
    `namespaceRegistry` - the namespace registry that should be used to obtain the prefix for the namespace URIs in the segment `names`
    `encoder` - the encoder to use for encoding the local part and namespace prefix of any names, or null if the `default encoder` should be used
    `delimiterEncoder` - the encoder to use for encoding the delimiter between the local part and namespace prefix of any names, or null if the standard delimiter should be used
  Returns:
    the encoded string
  See Also:
    `Readable.getString(org.modeshape.graph.property.NamespaceRegistry, org.modeshape.common.text.TextEncoder, org.modeshape.common.text.TextEncoder)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.